Create OpenPix Charge
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/openpix/create-charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"blockId": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/openpix/create-charge"
payload = {
"sessionId": "<string>",
"blockId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionId: '<string>', blockId: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/integrations/openpix/create-charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Payments
Create OpenPix Charge
Create OpenPix Charge.
POST
/
v3
/
integrations
/
openpix
/
create-charge
Create OpenPix Charge
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/openpix/create-charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"blockId": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/openpix/create-charge"
payload = {
"sessionId": "<string>",
"blockId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionId: '<string>', blockId: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/integrations/openpix/create-charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Default Response